<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<title>Thi</title>

		<!-- Google Font: Source Sans Pro -->
		<link
			rel="stylesheet"
			href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback"
		/>
		<!-- Font Awesome -->
		<link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css" />
		<!-- Theme style -->
		<link rel="stylesheet" href="dist/css/adminlte.min.css" />

		    <!-- Select2 -->
			<link rel="stylesheet" href="plugins/select2/css/select2.min.css" />
			<link
			  rel="stylesheet"
			  href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css"
			/>

			<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
	</head>
	<body class="hold-transition sidebar-mini">
		<!-- Site wrapper -->
		<div class="wrapper">
			<!-- Navbar -->
			<nav class="main-header navbar navbar-expand navbar-white navbar-light">
				<!-- Left navbar links -->
				<ul class="navbar-nav">
					<li class="nav-item">
						<a class="nav-link" data-widget="pushmenu" href="#" role="button"
							><i class="fas fa-bars"></i
						></a>
					</li>
					<li class="nav-item d-none d-sm-inline-block">
						<a href="index3.html" class="nav-link">Home</a>
					</li>
				</ul>


			</nav>
			<!-- /.navbar -->

			<!-- Main Sidebar Container -->
			<aside class="main-sidebar sidebar-dark-primary elevation-4">
				<!-- Brand Logo -->
				<a href="index3.html" class="brand-link">
					<img
						src="dist/img/AdminLTELogo.png"
						alt="AdminLTE Logo"
						class="brand-image img-circle elevation-3"
						style="opacity: 0.8"
					/>
					<span class="brand-text font-weight-light">Quản lý đơn hàng</span>
				</a>

				<!-- Sidebar -->
				<div class="sidebar">
					<!-- Sidebar user (optional) -->
					<div class="user-panel mt-3 pb-3 mb-3 d-flex">
						<div class="image">
							<img
								src="dist/img/user2-160x160.jpg"
								class="img-circle elevation-2"
								alt="User Image"
							/>
						</div>
						<div class="info">
							<a href="#" class="d-block">Cuongnq</a>
						</div>
					</div>

					<!-- SidebarSearch Form -->
					<div class="form-inline">
						<div class="input-group" data-widget="sidebar-search">
							<input
								class="form-control form-control-sidebar"
								type="search"
								placeholder="Search"
								aria-label="Search"
							/>
							<div class="input-group-append">
								<button class="btn btn-sidebar">
									<i class="fas fa-search fa-fw"></i>
								</button>
							</div>
						</div>
					</div>

					<!-- Sidebar Menu -->
					<nav class="mt-2">
						<ul
							class="nav nav-pills nav-sidebar flex-column"
							data-widget="treeview"
							role="menu"
							data-accordion="false"
						>
							<!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->

						</ul>
					</nav>
					<!-- /.sidebar-menu -->
				</div>
				<!-- /.sidebar -->
			</aside>

			<!-- Content Wrapper. Contains page content -->
			<div class="content-wrapper">
				<!-- Content Header (Page header) -->
				<section class="content-header">
					<div class="container-fluid">
						<div class="row mb-2">
							<div class="col-sm-6">
								<h1>Blank Page</h1>
							</div>
							<div class="col-sm-6">
								<ol class="breadcrumb float-sm-right">
									<li class="breadcrumb-item"><a href="#">Home</a></li>
									<li class="breadcrumb-item active">Blank Page</li>
								</ol>
							</div>
						</div>
					</div>
					<!-- /.container-fluid -->
				</section>

				<!-- Main content -->
				<section class="content">
					<div class="container">
						<div class="text-center mt-0 mb-0">
						  <h2>Danh sách đơn hàng:</h2>
						</div>
						<div class="jumbotron container">
						  <div class="row"><h3>Thông tin Student</h3></div>
						  <div class="row form-group d-flex mt-4">
							<div class="col-sm-5">
							  <div class="row">
								<div class="col-sm-4">
								  <label for="student">Loại Pizza: </label>
								</div>
								<div class="col-sm-8">
									<select class="form-control select2 gStudentSelect" style="width: 100%" id="gpizza" >
										<option value="0">-- Chọn loại pizza --</option>
										<option value="Seafood">Hải sản</option>
										<option value="Hawaii">Hawaii</option>
										<option value="Bacon">Thịt hun khói</option>
									  </select>
								</div>
							  </div>
							</div>
							<div class="col-sm-5">
							  <div class="row">
								<div class="col-sm-4">
								  <label for="subject">Trạng thái: </label>
								</div>
								<div class="col-sm-8">
									<select class="form-control select2 gsubjectSelect" style="width: 100%"  id="gstatus">
										<option value="0">-- Chọn trạng thái --</option>
										<option value="open">Open</option>
										<option value="cancel">Đã hủy</option>
										<option value="confirmed">Đã xác nhận</option>
									</select>

								</div>
							  </div>
							</div>
							<div class="col-sm-2">
							  <button id="btn-filter-order" class="btn btn-info">Lọc dữ liệu</button>
							</div>
						  </div>
					  </div>
					  <div class="form-group">
						<button class="btn btn-success" id="btn-add-order">
							<i class="fa fa-plus"></i>&nbsp; Thêm 
						</button>
					</div>
					  
					  <div class="container">
						<table class="table table-bordered table-striped table-hover" id="order-table">
						  <thead>
							<tr>
								<th>Order Code</th>
								<th>kich Cỡ</th>
								<th>loaị Pizza</th>
								<th>Nước uống</th>
								<th>Thành tiền</th>
								<th>Họ và tên</th>
								<th>Số điện thoại</th>
								<th>Trạng thái</th>
								<th>Action</th>
							</tr>
						  </thead>
						</table>
					  </div>
					  		<!-- Create  modal -->
		<div>
			<div id="create-modal" class="modal fade" tabindex="-1">
				<div class="modal-dialog">
				  <div class="modal-content">
					<div class="modal-header">
					  <h5 class="modal-title" id="h5-modal-title">Thêm</h5>
					  <button class="close" data-dismiss="modal">&times;</button>
					</div>
					<div class="modal-body">
					  <form>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Pizza size</label>
						  </div>
						  <div class="col-sm-8">
							<select  id="sel-size" class="form-control">
								<option value="0">-- Chọn size Pizza -- </option>
								<option value="S">S</option>
								<option value="M">M</option>
								<option value="L">L</option>
							</select>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Đường kính</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-duongKinh"
							  name="duongKinh"
							  placeholder="duongKinh"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Sườn</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-suon"
							  name="suon"
							  placeholder="suon"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Salad</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-salad"
							  name="salad"
							  placeholder="salad"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Pizza Type</label>
						  </div>
						  <div class="col-sm-8">
							<select  id="sel-type" class="form-control">
								<option value="0">-- Chọn loại Pizza -- </option>
								<option value="Seafood">Hải sản</option>
								<option value="Hawaii">Hawaii</option>
								<option value="Bacon">Thịt hun khói</option>
							</select>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">ID voucher</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-idVourcher"
							  name="idVourcher"
							  placeholder="idVourcher"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Thành tiền</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-thanhTien"
							  name="thanhTien"
							  placeholder="thanhTien"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="idLoaiNuocUong">Loại đồ uống</label>
						  </div>
						  <div class="col-sm-8">
							<select class="form-control idLoaiNuocUong" id="sel-idLoaiNuocUong">
							</select>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Số lượng nước uống</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-soLuongNuoc"
							  name="soLuongNuoc"
							  placeholder="soLuongNuoc"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Họ và tên</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-hoTen"
							  name="hoTen"
							  placeholder="hoTen"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Email</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-email"
							  name="email"
							  placeholder="email"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Số điện thoại</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-soDienThoai"
							  name="soDienThoai"
							  placeholder="soDienThoai"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Địa chỉ</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-diaChi"
							  name="diaChi"
							  placeholder="diaChi"
							  class="form-control"
							/>
						  </div>
						</div>
						<div class="row form-group">
						  <div class="col-sm-4">
							<label for="input">Lời nhắn</label>
						  </div>
						  <div class="col-sm-8">
							<input
							  type="text"
							  id="input-loiNhan"
							  name="loiNhan"
							  placeholder="loiNhan"
							  class="form-control"
							/>
						  </div>
						</div>
					  </form>
					</div>
					<div class="modal-footer">
					  <div class="row" style="width: 100%;">
						<div class="col-6">
						  <button class="btn btn-success" style="width: 100%;" id="btn-create-order">
							Insert
						  </button>
						</div>
						<div class="col-6">
						  <button
						  class="btn btn-danger"
						  style="width: 100%;"
						  id="btn-cancel"
						  data-dismiss="modal"
			
						>
						  Cancel
						</button>
						</div>
					  </div>
					</div>
				  </div>
				</div>
			  </div>
		</div>
				  		<!-- Update  modal -->
						  <div>
							<div id="update-order-modal" class="modal fade" tabindex="-1">
								<div class="modal-dialog">
								  <div class="modal-content">
									<div class="modal-header">
									  <h5 class="modal-title" id="h5-modal-title">Oder detail</h5>
									  <button class="close" data-dismiss="modal">&times;</button>
									</div>
									<div class="modal-body">
									  <form>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Pizza size</label>
										  </div>
										  <div class="col-sm-8">
											<select  id="sel-size-update" class="form-control" disabled>
												<option value="0">-- Chọn size Pizza -- </option>
												<option value="S">S</option>
												<option value="M">M</option>
												<option value="L">L</option>
											</select>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Đường kính</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-duongKinh-update"
											  name="duongKinh"
											  placeholder="duongKinh"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Sườn</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-suon-update"
											  name="suon"
											  placeholder="suon"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Salad</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-salad-update"
											  name="salad"
											  placeholder="salad"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Pizza Type</label>
										  </div>
										  <div class="col-sm-8">
											<select  id="sel-type-update" class="form-control" disabled>
												<option value="0">-- Chọn loại Pizza -- </option>
												<option value="Seafood">Hải sản</option>
												<option value="Hawaii">Hawaii</option>
												<option value="Bacon">Thịt hun khói</option>
											</select>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">ID voucher</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-idVourcher-update"
											  name="idVourcher"
											  placeholder="idVourcher"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Thành tiền</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-thanhTien-update"
											  name="thanhTien"
											  placeholder="thanhTien"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="idLoaiNuocUong-update">Loại đồ uống</label>
										  </div>
										  <div class="col-sm-8">
											<select class="form-control idLoaiNuocUong" id="sel-idLoaiNuocUong-update" disabled>
											</select>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Số lượng nước uống</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-soLuongNuoc-update"
											  name="soLuongNuoc"
											  placeholder="soLuongNuoc"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Họ và tên</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-hoTen-update"
											  name="hoTen"
											  placeholder="hoTen"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Email</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-email-update"
											  name="email"
											  placeholder="email"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Số điện thoại</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-soDienThoai-update"
											  name="soDienThoai"
											  placeholder="soDienThoai"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Địa chỉ</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-diaChi-update"
											  name="diaChi"
											  placeholder="diaChi"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Lời nhắn</label>
										  </div>
										  <div class="col-sm-8">
											<input
											  type="text"
											  id="input-loiNhan-update"
											  name="loiNhan"
											  placeholder="loiNhan"
											  class="form-control"
											  disabled
											/>
										  </div>
										</div>
										<div class="row form-group">
										  <div class="col-sm-4">
											<label for="input">Trạng thái</label>
										  </div>
										  <div class="col-sm-8">
											<select  id="sel-status-update" class="form-control">
												<option value="open">Open</option>
												<option value="cancel">Đã hủy</option>
												<option value="confirmed">Đã xác nhận</option>
											</select>
										  </div>
										</div>
									  </form>
									</div>
									<div class="modal-footer">
									  <div class="row" style="width: 100%;">
										<div class="col-6">
										  <button class="btn btn-success" style="width: 100%;" id="btn-update-order">
											Sửa
										  </button>
										</div>
										<div class="col-6">
										  <button
										  class="btn btn-danger"
										  style="width: 100%;"
										  id="btn-update-cancel"
										  data-dismiss="modal"
							
										>
										  Cancel
										</button>
										</div>
									  </div>
									</div>
								  </div>
								</div>
							  </div>
						</div>
				<!-- Delete confirm modal -->
				<div>
					<div class="modal fade" tabindex="-1" id="delete-confirm-modal">
						<div class="modal-dialog">
							<div class="modal-content">
								<div class="modal-header">
									<h5 class="modal-title" id="h5-modal-title">
										User Delete Confirmation
									</h5>
									<button class="close" data-dismiss="modal">&times;</button>
								</div>
								<div class="modal-body">
									<label>Bạn có chắc chắn muốn xóa user này không?</label>
								</div>
								<div class="modal-footer">
									<button class="btn btn-danger" id="btn-confirm-delete-order">
										Confirm
									</button>
									<button class="btn btn-secondary" data-dismiss="modal">
										Cancel
									</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				</section>
				<!-- /.content -->
			</div>
			<!-- /.content-wrapper -->

			<footer class="main-footer">
				<div class="float-right d-none d-sm-block"><b>Version</b> 3.2.0</div>
				<strong
					>Copyright &copy; 2014-2021
					<a href="https://adminlte.io">AdminLTE.io</a>.</strong
				>
				All rights reserved.
			</footer>

			<!-- Control Sidebar -->
			<aside class="control-sidebar control-sidebar-dark">
				<!-- Control sidebar content goes here -->
			</aside>
			<!-- /.control-sidebar -->
		</div>
		<!-- ./wrapper -->

		<!-- jQuery -->
		<script src="plugins/jquery/jquery.min.js"></script>
		<!-- Bootstrap 4 -->
		<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
		    <!-- Select2 -->
		<script src="plugins/select2/js/select2.full.min.js"></script>

		<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
		<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
		<!-- AdminLTE App -->
		<script src="dist/js/adminlte.min.js"></script>
		<script>
		 $(function () {
        //Initialize Select2 Elements
        $(".select2").select2();

        //Initialize Select2 Elements
        $(".select2").select2({
          theme: "bootstrap4",
        });})
		/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
		var gStt=1;
		var gOrdercode = "0";
		var gOrderId = "0"

		const gCOL_NAME= ["orderCode","kichCo" ,"loaiPizza","idLoaiNuocUong", "thanhTien","hoTen" ,"soDienThoai" , "trangThai" , "action"]
		


		var gOrderTable = $('#order-table').DataTable({
        columns: [
		{ data : gCOL_NAME[0] },
		{ data :  gCOL_NAME[1] },
		{ data :  gCOL_NAME[2] },
		{ data :  gCOL_NAME[3] },
		{ data :  gCOL_NAME[4] },
		{ data :  gCOL_NAME[5] },
		{ data :  gCOL_NAME[6] },
		{ data :  gCOL_NAME[7] },
		{ data :  gCOL_NAME[8] }					
        ],
        columnDefs: [
		  { targets: 8,
          
			defaultContent: `<button class="edit-order" ><i class="fas fa-pen"></i></button> <button class="ml-2 delete-order" ><i class="fas fa-trash"></i></button>`
          },
          ]
          });

		/*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
		   onPageLoading();
		   			// 2 - C: gán sự kiện Create - Thêm mới order
			$('#btn-add-order').on('click', function () {
				onBtnAddNewOrderClick();
			});

			
			// gán sự kiện cho nút Create order (trên modal)
			$('#btn-create-order').on('click', function () {
				onBtnCreateOrderClick();
			});

	
		$('#order-table').on('click', '.edit-order', function () {
				onBtnEditOrderClick(this);
			});

			$('#btn-update-order').on('click', function () {
				onBtnUpdateOrderClick();
			});

			$('#order-table').on('click', '.delete-order', function () {
				onBtnDeleteOrderConfirmClick(this);
			});

			$('#btn-confirm-delete-order').on('click', function () {
				onBtnDeleteOrderClick();
			});

		/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */  
		function onPageLoading() {
			gStt=1;
			"use strict";
			$.ajax({
				url:  "http://203.171.20.210:8080/devcamp-pizza365/orders",
				type: "GET",
				dataType: 'json',
				success: function(responseObject){
				//debugger;
				loadDataToTable(responseObject);
				},
				error: function(error){
				console.assert(error.responseText);
				}
			});

			$.ajax({
				url:  "http://203.171.20.210:8080/devcamp-pizza365/drinks",
				type: "GET",
				dataType: 'json',
				success: function(responseObject){
				//debugger;
				loadDrinkToSelect(responseObject);
				},
				error: function(error){
				console.assert(error.responseText);
				}
			});
        } 

		function loadDrinkToSelect(paramData) {
			if($(".idLoaiNuocUong").val() == null){
				$(".idLoaiNuocUong").append($("<option>", {
				value: "0",
				text: "--Chọn nước uống--"
			}))

			for(var bI = 0 ; bI < paramData.length;bI++){
				$(".idLoaiNuocUong").append($("<option>", {
				value: paramData[bI].maNuocUong,
				text: paramData[bI].tenNuocUong
			}))
			}
			}

    	}

		function onBtnAddNewOrderClick() {
			// hiển thị modal trắng lên
			$('#create-modal').modal('show');
			$('#sel-size').on('change', function() {
				var vOrderSize = $('#sel-size').val();
				getOrderSize(vOrderSize);
			});
		}
		    // load data to table
		function loadDataToTable(paramResponseObject) {
		//Xóa toàn bộ dữ liệu đang có của bảng
		gOrderTable.clear();
		//Cập nhật data cho bảng 
		gOrderTable.rows.add(paramResponseObject);
		//Cập nhật lại giao diện hiển thị bảng
		gOrderTable.draw();
		}

		function onBtnCreateOrderClick() {
			// khai báo đối tượng chứa voucher data
			var vObjectRequest = {
				kichCo: "",
				duongKinh: "",
				suon: "",
				salad: "",
				loaiPizza: "",
				idVourcher: "",
				idLoaiNuocUong: "",
				soLuongNuoc: "",
				hoTen: "",
				thanhTien: "",
				email: "",
				soDienThoai: "",
				diaChi: "",
				loiNhan: ""
			}  
			// B1: Thu thập dữ liệu
			getCreateOrderData(vObjectRequest);
			console.log(vObjectRequest)
			// B2: Validate insert
			var vIsUserValidate = validateUserData(vObjectRequest);
			if (vIsUserValidate) {
				// B3: insert voucher
				$.ajax({
					url: 'http://203.171.20.210:8080/devcamp-pizza365/orders',
					type: 'POST',
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(vObjectRequest),
					success: function (paramRes) {
						// B4: xử lý front-end
						handleInsertOrderSuccess();
					},
					error: function (paramErr) {
						console.log(paramErr.status);
					},
				});
			}
		}

		function onBtnEditOrderClick(paramBtnEdit) {
			// lưu thông tin voucherId đang được edit vào biến toàn cục
			gOrdercode = getOrderCodeFromButton(paramBtnEdit);
			gOrderId = getOderIdFromButton(paramBtnEdit);
			// load dữ liệu vào các trường dữ liệu trong modal
			getOrderById(gOrdercode);
		}	


		function onBtnUpdateOrderClick() {
			// khai báo đối tượng chứa voucher data
			var vObjectRequest = {
				trangThai: "" //3 trang thai open, confirmed, cancel
			} 
			// B1: Thu thập dữ liệu
			 getUpdateOrderData(vObjectRequest); 

			// B2: Validate insert
				// B3: insert voucher
				$.ajax({
					url:  "http://203.171.20.210:8080/devcamp-pizza365/orders/" + gOrderId,
					type: 'PUT',
					contentType: 'application/json;charset=UTF-8',
					data: JSON.stringify(vObjectRequest),
					success: function (paramRes) {
						// B4: xử lý front-end
						handleUpdateOrderSuccess();
					},
					error: function (paramErr) {
						console.log(paramErr.status);
					},
				});
			
		}	

		function onBtnDeleteOrderConfirmClick(paramBtnEdit) {
			// lưu thông tin voucherId đang được edit vào biến toàn cục
			gOrderId = getOderIdFromButton(paramBtnEdit);
			$('#delete-confirm-modal').modal('show');
		}

		function onBtnDeleteOrderClick() {
			// khai báo đối tượng chứa voucher data
			// B1: Thu thập dữ liệu
			// B2: Validate insert
			// B3: insert voucher
			$.ajax({
				url:"http://203.171.20.210:8080/devcamp-pizza365/orders/" + gOrderId,
				type: 'DELETE',
				contentType: 'application/json;charset=UTF-8',
				success: function (paramRes) {
					// B4: xử lý front-end
					handleDeleteOrderSuccess();
				},
				error: function (paramErr) {
					console.log(paramErr.status);
				},
			});
		}

		/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */

		function getCreateOrderData(paramUserObj) {
			 paramUserObj.kichCo = $('#sel-size').val();
			paramUserObj.duongKinh =$('#input-duongKinh').val().trim();;
			paramUserObj.suon = $('#input-suon').val().trim();;
			paramUserObj.salad = $('#input-salad').val().trim();;
			paramUserObj.loaiPizza = $('#sel-type').val();
			paramUserObj.idVourcher = $('#input-idVourcher').val().trim();
			paramUserObj.idLoaiNuocUong = $('#sel-idLoaiNuocUong').val();
			paramUserObj.soLuongNuoc = $('#input-soLuongNuoc').val().trim();;
			paramUserObj.hoTen = $('#input-hoTen').val().trim();
			paramUserObj.thanhTien = $('#input-thanhTien').val().trim();;
			paramUserObj.email = $('#input-email').val().trim();
			paramUserObj.soDienThoai = $('#input-soDienThoai').val().trim();
			paramUserObj.diaChi = $('#input-diaChi').val().trim();
			paramUserObj.loiNhan = $('#input-loiNhan').val().trim();
		}



		function getOrderSize(paramSize){
			var vOrderSize = {
				duongKinh: "",
				suon: "",
				salad: "",
				soLuongNuoc: "",
				thanhTien: "",
			}
			if(paramSize == "S"){
				vOrderSize = {
				duongKinh: "20",
				suon: "2",
				salad: "200",
				soLuongNuoc: "2",
				thanhTien: "150000",
			}

			}else if(paramSize == "M") {
				vOrderSize = {
				duongKinh: "25",
				suon: "4",
				salad: "300",
				soLuongNuoc: "3",
				thanhTien: "200000",
			}
			} else if(paramSize == "L") {
				vOrderSize = {
				duongKinh: "30",
				suon: "8",
				salad: "500",
				soLuongNuoc: "4",
				thanhTien: "250000",
			}
			}
			$('#input-duongKinh').val(vOrderSize.duongKinh);
			$('#input-suon').val(vOrderSize.suon);
			$('#input-salad').val(vOrderSize.salad);
			$('#input-soLuongNuoc').val(vOrderSize.soLuongNuoc);
			$('#input-thanhTien').val(vOrderSize.thanhTien);
			
			return vOrderSize;

		}
				// hàm validate data
				function validateUserData(paramUserObj) {
			if (paramUserObj.kichCo === '0') {
				alert('kichCo cần chọn');
				return false;
			}
			if (paramUserObj.loaiPizza === '0') {
				alert('loaiPizza cần chọn');
				return false;
			}
			if (paramUserObj.idLoaiNuocUong === '0') {
				alert('idLoaiNuocUong cần chọn');
				return false;
			}
			if (paramUserObj.hoTen === '') {
				alert('hoTen cần nhập');
				return false;
			}
			if (paramUserObj.email === '') {
				alert('email cần nhập');
				return false;
			}
			if (paramUserObj.soDienThoai === '') {
				alert('soDienThoai cần nhập');
				return false;
			}
			if (paramUserObj.diaChi === '') {
				alert('diaChi cần nhập');
				return false;
			}

			return true;
		}
		function handleInsertOrderSuccess() {

			alert('Thêm order thành công!');
			$('#create-modal').modal('hide');
			onPageLoading();
		}

		function getOrderCodeFromButton(paramButton) {
			var vTableRow = $(paramButton).parents('tr');
			var vUserRowData = gOrderTable.row(vTableRow).data();
			return vUserRowData.orderCode;
		}

		function getOderIdFromButton(paramButton) {
			var vTableRow = $(paramButton).parents('tr');
			var vUserRowData = gOrderTable.row(vTableRow).data();
			return vUserRowData.id;
		}

		function getOrderById(paramVoucherId) {
			$.ajax({
				url: "http://203.171.20.210:8080/devcamp-pizza365/orders/" + paramVoucherId,
				type: 'GET',

				success: function (paramVoucher) {
					showUserDataToModal(paramVoucher);
				},
				error: function (paramErr) {
					console.log(paramErr.status);
				},
			});
			// hiển thị modal lên
			$('#update-order-modal').modal('show');
		}

		function getUpdateOrderData(paramUserObj) {
			paramUserObj.trangThai =$('#sel-status-update').val();
		}

		function showUserDataToModal(paramUserObj) {
			  $('#sel-size-update').val(paramUserObj.kichCo);
			 $('#input-duongKinh-update').val(paramUserObj.duongKinh);
			  $('#input-suon-update').val(paramUserObj.suon);
			  $('#input-salad-update').val(paramUserObj.salad);
			  $('#input-soLuongNuoc-update').val(paramUserObj.soLuongNuoc);
			  $('#input-thanhTien-update').val(paramUserObj.thanhTien);
			  $('#sel-type-update').val(paramUserObj.loaiPizza);
			  $('#input-idVourcher-update').val(paramUserObj.idVourcher)
			  $('#sel-idLoaiNuocUong-update').val(paramUserObj.idLoaiNuocUong);
			  $('#input-hoTen-update').val(paramUserObj.hoTen)
			  $('#input-email-update').val(paramUserObj.email)
			  $('#input-soDienThoai-update').val(paramUserObj.soDienThoai)
			  $('#input-diaChi-update').val(paramUserObj.diaChi)
			  $('#input-loiNhan-update').val(paramUserObj.loiNhan)
			  $('#sel-status-update').val(paramUserObj.trangThai)
		}

			function handleUpdateOrderSuccess() {

				alert('update order thành công!');
				$('#update-order-modal').modal('hide');
				onPageLoading();
			}
				// hàm xử lý hiển thị front-end khi sửa order thành công
		function handleDeleteOrderSuccess() {
			alert('xóa  thành công!');
			$('#delete-confirm-modal').modal('hide');
			onPageLoading();
		}


		$("#btn-filter-order").on("click",function() {
              onBtnFilterClick()
            });


			function onBtnFilterClick(){
            var vFilterObj = {
				loaiPizza: "",
				trangThai: ""
            }

            getDataFilterObj(vFilterObj);
            var vFilter = filterData(vFilterObj);
            console.log(vFilter)
            displayToTable(vFilter)
          }
		  
		  
		  function getDataFilterObj(paramData){
        paramData.loaiPizza = $("#gpizza").val();
        paramData.trangThai = $("#gstatus").val();
      }


      function filterData(paramData){
            var vResult = [];
			var vOrder = [];
						$.ajax({
					url:  "http://203.171.20.210:8080/devcamp-pizza365/orders",
					type: "GET",
					dataType: 'json',
					async: false,
					success: function(responseObject){
					//debugger;
					vOrder = responseObject;
					},
					error: function(error){
					console.assert(error.responseText);
					}
				});

            vResult = vOrder.filter(function(item) {
              return ((item.loaiPizza == paramData.loaiPizza || paramData.loaiPizza == "0") && (item.trangThai == paramData.trangThai || paramData.trangThai == "0"))
            });
            return vResult;
          }

          
			function displayToTable(paramData) {
				gStt = 1;
				gOrderTable.clear();
				gOrderTable.rows.add(paramData);
				gOrderTable.draw();
			}
		</script>
	</body>
</html>
